package watermillmsg

import (
	"context"

	"github.com/ThreeDotsLabs/watermill/message"
)

type Marshaler interface {
	Marshal(ctx context.Context, v any) (*message.Message, error)
	Unmarshal(msg *message.Message, v any) error
}
